/*Copyright (C) 2010 Deveaux Duncan

This file is part of Hikou no mizu.

Hikou no mizu is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Hikou no mizu is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Hikou no mizu.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "PlayerKeys.hpp"

PlayerKeys::PlayerKeys() :
m_attack(sf::Keyboard::A), m_jump(sf::Keyboard::Y),
m_moveLeft(sf::Keyboard::G), m_moveRight(sf::Keyboard::J)
{
    
}

PlayerKeys::PlayerKeys(const sf::Keyboard::Key &attack, const sf::Keyboard::Key &jump, const sf::Keyboard::Key &moveLeft, const sf::Keyboard::Key &moveRight) :
m_attack(attack), m_jump(jump), m_moveLeft(moveLeft), m_moveRight(moveRight)
{
    
}

void PlayerKeys::setAttackKey(const sf::Keyboard::Key &attackKey)
{
    m_attack = attackKey;
}

const sf::Keyboard::Key &PlayerKeys::getAttackKey() const
{
    return m_attack;
}

void PlayerKeys::setJumpKey(const sf::Keyboard::Key &jumpKey)
{
    m_jump = jumpKey;
}

const sf::Keyboard::Key &PlayerKeys::getJumpKey() const
{
    return m_jump;
}

void PlayerKeys::setMoveLeftKey(const sf::Keyboard::Key &moveLeftKey)
{
    m_moveLeft = moveLeftKey;
}

const sf::Keyboard::Key &PlayerKeys::getMoveLeftKey() const
{
    return m_moveLeft;
}

void PlayerKeys::setMoveRightKey(const sf::Keyboard::Key &moveRightKey)
{
    m_moveRight = moveRightKey;
}

const sf::Keyboard::Key &PlayerKeys::getMoveRightKey() const
{
    return m_moveRight;
}